﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;

namespace WPFApplication
{
    public class ArrayListConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            TreeView treeView = null; 

            foreach(var item in (value as ArrayList))
            {
                treeView = new TreeView();

                var dictionary = (Dictionary<String, Object>) item; 

                foreach(var key in dictionary.Keys)
                {
                    var theItem = dictionary[key];

                    var treeViewItem = new TreeViewItem();

                    treeViewItem.Background = Brushes.Green;

                    treeView.Items.Add(treeViewItem); 
                }
            }

            return treeView;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
